package com.ruoyi.project.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.business.domain.TbCurrency;
import com.ruoyi.project.business.domain.vo.currency.CurrencyReq;
import com.ruoyi.project.business.domain.vo.currency.CurrencyRes;
import com.ruoyi.project.business.domain.vo.currency.CurrencySaveReq;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2024-05-14
 */
public interface ITbCurrencyService extends IService<TbCurrency> {

    /**
     * 查询【请填写功能名称】列表
     *
     * @param currencyReq 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    List<TbCurrency> selectTbCurrencyList(CurrencyReq currencyReq);


    List<TbCurrency> getUsableCurrencyRate();

    boolean add(CurrencySaveReq tbCurrency);

    boolean edit(CurrencySaveReq tbCurrency);
    
    boolean remove(List<Long> ids);

    CurrencyRes getInfo(Long currencyId);

    List<TbCurrency> listAll();
}
